package com.yunfeiyun.agmp.fms.mapper;

import com.yunfeiyun.agmp.fms.domain.MppQualitycheck;

import java.util.List;


/**
 *  质检Mapper接口
 * 
 * @author 杨晓辉
 * @date 2023-05-30
 */
public interface MppQualitycheckMapper 
{
    /**
     * 查询 质检
     * 
     * @param qualitycheckId  质检主键
     * @return  质检
     */
    public MppQualitycheck selectMppQualitycheckByQualitycheckId(String qualitycheckId);

    /**
     * 查询 质检列表
     * 
     * @param mppQualitycheck  质检
     * @return  质检集合
     */
    public List<MppQualitycheck> selectMppQualitycheckList(MppQualitycheck mppQualitycheck);

    /**
     * 新增 质检
     * 
     * @param mppQualitycheck  质检
     * @return 结果
     */
    public int insertMppQualitycheck(MppQualitycheck mppQualitycheck);
    public int insertMppQualitycheckBatch(List<MppQualitycheck> mppQualitychecks);


    /**
     * 修改 质检
     * 
     * @param mppQualitycheck  质检
     * @return 结果
     */
    public int updateMppQualitycheck(MppQualitycheck mppQualitycheck);

    /**
     * 删除 质检
     * 
     * @param qualitycheckId  质检主键
     * @return 结果
     */
    public int deleteMppQualitycheckByQualitycheckId(String qualitycheckId);

    /**
     * 批量删除 质检
     * 
     * @param qualitycheckIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMppQualitycheckByQualitycheckIds(String[] qualitycheckIds);
}
